{ 
  "sEcho": <%= echo_data_tables %>,
  "iTotalRecords": <%= @notes_total_count.to_json %>,
  "iTotalDisplayRecords": <%= @notes_total_display_count.to_json %>,
  "aaData": [
  <% @notes.each_with_index do |note, index| -%>
    {
      "DT_RowId":   <%= dom_id(note).to_json.html_safe %>,
      "checkbox":   <%= note_host_checkbox_tag(note) %>,
      "host":       <%= note_host_name_html(note) %>,
      "type":       <%= note_type_html(note) %>,
      "created_at": <%= note_created_at_html(note) %>,
      "data":       <%= note_data_html(note) %>,
      "status":     <%= note_status_html(note) %>
    }<%= ',' unless index == (@notes.size - 1) %>
  <% end -%>
  ]
}
